/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
export interface AlertActionPayload {
    /**
     * Display name of the request owner
     */
    user?: string;
    /**
     * Additional note that will be added while creating the alert
     */
    note?: string;
    /**
     * Source field of the alert. Default value is IP address of the incoming request
     */
    source?: string;
}
//# sourceMappingURL=AlertActionPayload.d.ts.map