/*!
 * Copyright Adaptavist 2022 (c) All rights reserved
 */
import { ResponderAsResponse } from "../definitions/ResponderAsResponse";
import { AlertIntegrationAsResponse } from "../definitions/AlertIntegrationAsResponse";
import { AlertReportAsResponse } from "../definitions/AlertReportAsResponse";
export interface BaseAlertAsResponse {
    id: string;
    tinyId?: string;
    alias?: string;
    message?: string;
    status?: string;
    acknowledged?: boolean;
    isSeen?: boolean;
    tags?: Array<string>;
    snoozed?: boolean;
    snoozedUntil?: string;
    count?: number;
    lastOccurredAt?: string;
    createdAt?: string;
    updatedAt?: string;
    source?: string;
    owner?: string;
    priority?: string;
    responders?: Array<ResponderAsResponse>;
    integration?: AlertIntegrationAsResponse;
    report?: AlertReportAsResponse;
    seen?: boolean;
    teams?: Array<{
        id?: string;
    }>;
    ownerTeamId?: string;
}
//# sourceMappingURL=BaseAlertAsResponse.d.ts.map